---
title: 'Document: drop event'
slug: Web/API/Document/drop_event
tags:
  - DOM
  - Drag Event
  - Drop
  - Event
  - HTML 5
  - Reference
  - drag and drop
---
<div>{{APIRef}}</div>

<p>The <strong><code>drop</code></strong> event is fired when an element or text selection is dropped on a valid drop target.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Default action</th>
   <td>Varies</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("DragEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/ondrop", "ondrop")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>See the <a href="/en-US/docs/Web/API/Document/drag_event">drag event</a> for example code or this <a class="external external-icon" href="http://jsfiddle.net/zfnj5rv4/" rel="noopener">JSFiddle demo</a>.</p>

<p>{{EmbedLiveSample('Examples', '300', '200', '', 'Web/API/Document/drag_event')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "interaction.html#dndevents", "drop event")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.drop_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other drag and drop events:
  <ul>
   <li>{{domxref("Document/drag_event", "drag")}}</li>
   <li>{{domxref("Document/dragstart_event", "dragstart")}}</li>
   <li>{{domxref("Document/dragend_event", "dragend")}}</li>
   <li>{{domxref("Document/dragover_event", "dragover")}}</li>
   <li>{{domxref("Document/dragenter_event", "dragenter")}}</li>
   <li>{{domxref("Document/dragleave_event", "dragleave")}}</li>
   <li>{{domxref("Document/dragexit_event", "dragexit")}}</li>
  </ul>
 </li>
 <li>This event on other targets:
  <ul>
   <li>{{domxref("Window")}}: {{domxref("Window/drop_event", "drop")}} event</li>
   <li>{{domxref("HTMLElement")}}: {{domxref("HTMLElement/drop_event", "drop")}} event</li>
   <li>{{domxref("SVGElement")}}: {{domxref("SVGElement/drop_event", "drop")}} event
    <ul>
    </ul>
   </li>
  </ul>
 </li>
</ul>
